Summary:	A file compression utility.
Group:		Applications/File
License:	BSD
Name:		bzip2
Version:	1.0.2
Release:	1
Source0:	ftp://sources.redhat.com/pub/bzip2/v102/bzip2-%{version}.tar.gz
Patch0:		bzip2-1.0.2-saneso.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	bzip2-libs = %{version}

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

%files
  %defattr(-,root,root)
  %doc LICENSE CHANGES README README.COMPILATION.PROBLEMS Y2K_INFO
  %doc %{_mandir}/man?/*
  %{_bindir}/*

%package devel
Summary:	Header files and libraries for developing apps which will use bzip2.
Group:		Development/Libraries
Requires:	bzip2 = %{version}, bzip2-libs = %{version}

%description devel
Header files and a static library of bzip2 functions, for developing apps
which will use the library.

%files devel
  %defattr(-,root,root)
  %{_includedir}/*
  %{_libdir}/*.a
  %{_libdir}/*so

%package libs
Summary:	Libraries for applications using bzip2
Group:		System Environment/Libraries

%description libs
Libraries for applications using the bzip2 compression format.

%files libs
  %defattr(-,root,root)
  %{_libdir}/*so.*

%prep
%setup -q 
%patch -p1

%build
  make -f Makefile-libbz2_so CC=%{__cc} AR=%{__ar} RANLIB=%{__ranlib} \
	  CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fpic -fPIC" \
	  %{?_smp_mflags} all

  rm -f *.o
  make CC=%{__cc} AR=%{__ar} RANLIB=%{__ranlib} \
	  CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
	  %{?_smp_mflags} all

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1,%{_libdir},%{_includedir}}
  install -m 755 bzlib.h $RPM_BUILD_ROOT/%{_includedir}
  install -m 755 libbz2.so.1.0.2 $RPM_BUILD_ROOT/%{_libdir}
  install -m 755 libbz2.a $RPM_BUILD_ROOT/%{_libdir}
  install -m 755 bzip2-shared  $RPM_BUILD_ROOT/%{_bindir}/bzip2
  install -m 755 bzip2recover bzgrep bzdiff bzmore  $RPM_BUILD_ROOT/%{_bindir}/
  install -m 644 bzip2.1 bzdiff.1 bzgrep.1 bzmore.1  $RPM_BUILD_ROOT/%{_mandir}/man1/
  ln -s bzip2 $RPM_BUILD_ROOT/%{_bindir}/bunzip2
  ln -s bzip2 $RPM_BUILD_ROOT/%{_bindir}/bzcat
  ln -s bzdiff $RPM_BUILD_ROOT/%{_bindir}/bzcmp
  ln -s bzmore $RPM_BUILD_ROOT/%{_bindir}/bzless
  ln -s libbz2.so.1.0.2 $RPM_BUILD_ROOT/%{_libdir}/libbz2.so.1
  ln -s libbz2.so.1 $RPM_BUILD_ROOT/%{_libdir}/libbz2.so
  ln -s bzip2.1 $RPM_BUILD_ROOT/%{_mandir}/man1/bzip2recover.1
  ln -s bzip2.1 $RPM_BUILD_ROOT/%{_mandir}/man1/bunzip2.1
  ln -s bzip2.1 $RPM_BUILD_ROOT/%{_mandir}/man1/bzcat.1
  ln -s bzdiff.1 $RPM_BUILD_ROOT/%{_mandir}/man1/bzcmp.1
  ln -s bzmore.1 $RPM_BUILD_ROOT/%{_mandir}/man1/bzless.1

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.0.2, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
